aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEugeni Dodonov <eugeni@mandriva.org>2009-10-02 14:44:17 +0000
committerEugeni Dodonov <eugeni@mandriva.org>2009-10-02 14:44:17 +0000
commit897541c6a941c5e90b33c3ffaebc76d44fb85593 (patch)
tree2331ac89e9beaf46b1558a3a5342fa3b34cb03ad
parentd20bd316b1406447fada77a3e0457d81c8b11584 (diff)
downloadmsec-897541c6a941c5e90b33c3ffaebc76d44fb85593.tar
msec-897541c6a941c5e90b33c3ffaebc76d44fb85593.tar.gz
msec-897541c6a941c5e90b33c3ffaebc76d44fb85593.tar.bz2
msec-897541c6a941c5e90b33c3ffaebc76d44fb85593.tar.xz
msec-897541c6a941c5e90b33c3ffaebc76d44fb85593.zip
Showing correct status messages when starting msec on boot
-rw-r--r--msec.init18
1 files changed, 15 insertions, 3 deletions
diff --git a/msec.init b/msec.init
index 24c2602..f65e5db 100644
--- a/msec.init
+++ b/msec.init
@@ -30,18 +30,30 @@ case "$1" in
if [ "$ENABLE_STARTUP_MSEC" = "yes" ]; then
gprintf "Enabling MSEC security policy"
/usr/sbin/msec -q
- echo_success
+ if [ $? == 0 ]; then
+ echo_success
+ else
+ echo_failure
+ fi
echo
fi
if [ "$ENABLE_STARTUP_PERMS" = "yes" ]; then
gprintf "Setting and checking MSEC permissions"
/usr/sbin/msecperms -q
- echo_success
+ if [ $? == 0 ]; then
+ echo_success
+ else
+ echo_failure
+ fi
echo
elif [ "$ENABLE_STARTUP_PERMS" = "enforce" ]; then
gprintf "Setting and enforcing MSEC permissions"
/usr/sbin/msecperms -e -q
- echo_success
+ if [ $? == 0 ]; then
+ echo_success
+ else
+ echo_failure
+ fi
echo
fi
;;